Name:           python-utils
Version:        2.0.0
Release:        1%{?dist}
Summary:        Python Utils is a module with some convenient utilities

License:        BSD
URL:            https://github.com/WoLpH/python-utils
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-flake8
BuildRequires:  python3-pytest-cache
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-flakes
BuildRequires:  python3-pytest-pep8
BuildRequires:  python3-sphinx

%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package -n     python3-utils
Summary:        %{summary}
%{?python_provide:%python_provide python3-utils}
Requires:       python3-six

%description -n python3-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.


%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info


%build
%py3_build
# generate html docs 
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/{.doctrees,.buildinfo,*.inv}


%install
%py3_install


%check
%{__python3} setup.py pytest --addopts --ignore=build


%files -n python3-utils
%doc README.rst html
%{python3_sitelib}/python_utils
%{python3_sitelib}/python_utils-%{version}-py?.?.egg-info

%changelog
* Sun Dec 04 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-1
- Initial package
